/* dvbd.h, version 1.001 */

#ifndef _DVBD_H
#define _DVBD_H

#define MAX_FILTER 20

#define BUFSIZE 80

#define OFF 0
#define ON  1

#define ETH_ALEN 6

int StopFlag  ;
int TraceFlag ;

#define REL_FILTER 0
#define SET_FILTER 1
#define SET_DYNAMO 2
#define GET_SATPAR 3
#define SET_SATPAR 4

#define BIT0 0x00000001
#define BIT1 0x00000002
#define BIT2 0x00000004
#define BIT3 0x00000006
#define BIT4 0x00000008
#define BIT5 0x00000010

char dvb_ifname[12] = "dvb0" ;
char filter0_ifname_or_ip[19] = "none" ;
char cfgname[128] = "/etc/dvbd.conf" ;

struct dvbfilter {

  int      status ;
  int      number ;
  uint32_t mcaddr ;

  struct bitfilter filter ;

} ;

struct dvbfilter dvbcfg[MAX_FILTER] ;

struct dvbbuffer {

  int             status ;
  uint32_t        ipaddr ;
  unsigned char   mac[6] ;
  unsigned short  usrpid ;

} ;

int valid_ifname (char *dev_ptr) ;
int valid_bitmask (char *bitmask_ptr);

int readcfg (char *cfg, struct frontend *fend) ;

int setfilter (int vd, struct dvbbuffer *p) ;
int relfilter (int vd, struct dvbbuffer *p) ;

int setcfgfilter (int vd) ;
int relcfgfilter (int vd) ;

void ChldProc () ;
void StopProc () ;
void LoadNtsd () ;

void SigQuit () ;
/*
void SigChld () ;
*/
void SigIntr () ;
void SigTerm () ;
void SigHaup () ;
void SigAlrm () ;
void SigNoop () ;

void (*Sigquit) (void) = SigNoop ;
void (*Sigchld) (void) = SigNoop ;
void (*Sigintr) (void) = SigNoop ;
void (*Sigterm) (void) = SigNoop ;
void (*Sighaup) (void) = SigNoop ;
void (*Sigalrm) (void) = SigNoop ;

void LoadFdsd () ;

int SetSignal (void (*sigquit) (void), void (*sigchld) (void),
               void (*sigintr) (void), void (*sigterm) (void),
               void (*sighaup) (void), void (*sigalrm) (void)) ;

void MakeDaemon (void (*lpProc) (void)) ;

int resolve_ether (char *buf, unsigned char *addr) ;

#endif /* _DVBD_H */

